/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package aspect02;

import java.awt.BasicStroke;

/**
 *
 * @author Projekte
 */
public enum LineJoinAspect {
    BEVEL ("BEVEL", BasicStroke.JOIN_BEVEL),
    MITER ("MITER", BasicStroke.JOIN_MITER),
    ROUND ("ROUND", BasicStroke.JOIN_ROUND);

     /**
     * Create a value and assign a display string
     * @param n the display string to be used
     */
    LineJoinAspect (String n, int v) {
        this.name = n;
        this.value = v;
    }

    private String name;
    private int value;

     /**
     * This method return the display string for use in a JList
     * @return display string of the enum value
     * @see JList
     */
    @Override
    public String toString() {
        return name;
    }

    public int getValue() {
        return value;
    }
}
