
package aspect04;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JToggleButton.ToggleButtonModel;
import mvc.ComponentContainer;
import mvc.SimpleModel;

/**
 *
 * @author Projekte
 */
public class SimpleModel4 extends SimpleModel {

    private final int maxParamValue = 22;
    private DefaultComboBoxModel<Integer> listModel1;
    private DefaultComboBoxModel<Integer> listModel2;
    private ToggleButtonModel buttonModel;

    public SimpleModel4() {
        listModel1 = new DefaultComboBoxModel<>();
        listModel2 = new DefaultComboBoxModel<>();
        buttonModel = new ToggleButtonModel();
        for (int i = 3; i < maxParamValue; i++) {
            listModel1.addElement(i);
            listModel2.addElement(i);
        }
        listModel1.setSelectedItem(null);
        listModel2.setSelectedItem(null);
    }

    @Override
    public void installNewComponent(ComponentContainer<SimpleModel> cc) {
        new Model4Presenter(this).installInto(cc);
    }

    public DefaultComboBoxModel<Integer> getValueListModel1() {
        return listModel1;
    }

    public DefaultComboBoxModel<Integer> getValueListModel2() {
        return listModel2;
    }

    public ToggleButtonModel getButtonModel() {
        return buttonModel;
    }
}
