
package common;
import java.util.Vector;
import javax.swing.ComboBoxModel;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;

/**
 *
 * @author Projekte
 */
public class RemoveableJComboBox<Type> extends JComboBox<Type>
{
    public RemoveableJComboBox(ComboBoxModel<Type> model) {
        super(model);
    }

    public RemoveableJComboBox(Type[] items){
        super(items);
    }

    public RemoveableJComboBox(Vector<Type> items) {
        super(items);
    }
    /**
     *
     */
    @Override
    public void removeNotify() {
        super.removeNotify();
        this.setModel(new DefaultComboBoxModel<Type>());
        // The installation of a new model disconnects the old model
        //  from this combo box. I found no other way to accomplish this.
    }
}
