
package common;
import javax.swing.JList;
import javax.swing.ListModel;
import javax.swing.DefaultListModel;
import javax.swing.DefaultListSelectionModel;

/**
 *
 * @author Projekte
 */
public class RemoveableJList<Type> extends JList<Type> {

    public RemoveableJList(ListModel<Type> arg) {
        super(arg);
    }
     /**
     *
     */
    @Override
    public void removeNotify() {
        super.removeNotify();
        this.setSelectionModel(new DefaultListSelectionModel());
        this.setModel(new DefaultListModel<Type>());

        // The installation of a new model disconnects the old model
        //  from this list view. I found no other way to accomplish this.
        // Note that you have to remove the selection model before you
        // can remove the data model.
    }
}
