
package mvc;
import java.util.Observable;

/**
 *
 * @author Projekte
 */
public class EnumHolder<A extends IEnumIDs> extends Observable {
    A currentValue;

    public EnumHolder (A arg) {
        currentValue = arg;
    }

    public A getValue() {
        return currentValue;
    }

    public void setValue(A instance) {
        currentValue = instance;
        this.setChanged();
        this.notifyObservers();
    }
}
