
package aspect02;
import java.awt.BasicStroke;
/**
 *
 * @author Projekte
 */
public enum LineEndAspect {

    BUTT ("BUTT", BasicStroke.CAP_BUTT),
    ROUND ("ROUND", BasicStroke.CAP_ROUND),
    SQUARE ("SQUARE", BasicStroke.CAP_SQUARE);
     /**
     * Create a value and assign a display string
     * @param n the display string to be used
     */
    LineEndAspect (String n, int v) {
        this.name = n;
        this.value = v;
    }

    private String name;
    private int value;

     /**
     * This method return the display string for use in a JList
     * @return display string of the enum value
     * @see JList
     */
    @Override
    public String toString() {
        return name;
    }


    public int getValue() {
        return value;
    }
}
