
package aspect02;

import mvc.ComponentContainer;
import mvc.SimpleModel;
import javax.swing.DefaultListModel;
import javax.swing.DefaultListSelectionModel;
import javax.swing.ListSelectionModel;


/**
 *
 * @author Projekte
 */
public class SimpleModel2 extends SimpleModel {

    DefaultListModel<LineEndAspect> listModel1;
    DefaultListModel<LineJoinAspect> listModel2;
    DefaultListSelectionModel selectionModel1;
    DefaultListSelectionModel selectionModel2;

    public SimpleModel2() {
        listModel1 = new DefaultListModel<>();
        listModel2 = new DefaultListModel<>();
        listModel1.addElement(LineEndAspect.BUTT);
        listModel1.addElement(LineEndAspect.ROUND);
        listModel1.addElement(LineEndAspect.SQUARE);
        listModel2.addElement(LineJoinAspect.BEVEL);
        listModel2.addElement(LineJoinAspect.MITER);
        listModel2.addElement(LineJoinAspect.ROUND);
        selectionModel1 = new DefaultListSelectionModel();
        selectionModel2 = new DefaultListSelectionModel();
        selectionModel1.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        selectionModel2.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        selectionModel1.setSelectionInterval(0, 0);
        selectionModel2.setSelectionInterval(0, 0);
    }
    @Override
    public void installNewComponent(ComponentContainer<SimpleModel> cc) {
        Model2Presenter view = new Model2Presenter(this);
        view.installInto(cc);
    }

    public DefaultListModel<LineEndAspect> getListModel1() {
        return listModel1;
    }

    public DefaultListModel<LineJoinAspect> getListModel2() {
        return listModel2;
    }

    public DefaultListSelectionModel getListSelection1 () {
        return selectionModel1;
    }

    public DefaultListSelectionModel getListSelection2 () {
        return selectionModel2;
    }
}
